com.genesyslab.wfm8.API.service.config810

## Class CfgReportTaskFilter

- java.lang.Object
- - com.genesyslab.wfm8.API.service.config810.CfgReportTaskFilter

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgReportTaskFilter
      extends java.lang.Object
      implements java.io.Serializable

  Defines a filter in the request for Report Task information
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `allUsers` Specifies whether return all report tasks no matter what user created them or only reports created by current user.
    `private static long` | `serialVersionUID`
    `protected java.util.List<java.lang.Integer>` | `wmReportTaskId` An array of `CfgReportTask` identifiers to filter by.
    `protected int` | `wmReportTaskIdNSizeIs` Number of elements in the wmReportTaskId array
    `protected java.util.List<java.lang.Integer>` | `wmReportType` Defines report type 'OR' logic filter
    `protected int` | `wmReportTypeNSizeIs` Number of elements in the wmReportType array
    `protected java.util.List<java.lang.Integer>` | `wmStatus` Defines `ECfgReportTaskStatus` 'OR' logic filter
    `protected int` | `wmStatusNSizeIs` Number of elements in the wmStatus array

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgReportTaskFilter()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `java.util.List<java.lang.Integer>` | `getWmReportTaskId()` Gets the value of the wmReportTaskId property.
    `int` | `getWmReportTaskIdNSizeIs()` Gets the value of the wmReportTaskIdNSizeIs property.
    `java.util.List<java.lang.Integer>` | `getWmReportType()` Gets the value of the wmReportType property.
    `int` | `getWmReportTypeNSizeIs()` Gets the value of the wmReportTypeNSizeIs property.
    `java.util.List<java.lang.Integer>` | `getWmStatus()` Gets the value of the wmStatus property.
    `int` | `getWmStatusNSizeIs()` Gets the value of the wmStatusNSizeIs property.
    `int` | `hashCode()`
    `boolean` | `isAllUsers()` Gets the value of the allUsers property.
    `void` | `setAllUsers(boolean value)` Sets the value of the allUsers property.
    `void` | `setWmReportTaskId(java.util.List<java.lang.Integer> wmReportTaskId)` Sets the value of the wmReportTaskId property.
    `void` | `setWmReportTaskIdNSizeIs(int value)` Sets the value of the wmReportTaskIdNSizeIs property.
    `void` | `setWmReportType(java.util.List<java.lang.Integer> wmReportType)` Sets the value of the wmReportType property.
    `void` | `setWmReportTypeNSizeIs(int value)` Sets the value of the wmReportTypeNSizeIs property.
    `void` | `setWmStatus(java.util.List<java.lang.Integer> wmStatus)` Sets the value of the wmStatus property.
    `void` | `setWmStatusNSizeIs(int value)` Sets the value of the wmStatusNSizeIs property.
    `java.lang.String` | `toString()`
    `CfgReportTaskFilter` | `withAllUsers(boolean value)`
    `CfgReportTaskFilter` | `withWmReportTaskId(java.util.Collection<java.lang.Integer> values)`
    `CfgReportTaskFilter` | `withWmReportTaskId(java.lang.Integer... values)`
    `CfgReportTaskFilter` | `withWmReportTaskIdNSizeIs(int value)`
    `CfgReportTaskFilter` | `withWmReportType(java.util.Collection<java.lang.Integer> values)`
    `CfgReportTaskFilter` | `withWmReportType(java.lang.Integer... values)`
    `CfgReportTaskFilter` | `withWmReportTypeNSizeIs(int value)`
    `CfgReportTaskFilter` | `withWmStatus(java.util.Collection<java.lang.Integer> values)`
    `CfgReportTaskFilter` | `withWmStatus(java.lang.Integer... values)`
    `CfgReportTaskFilter` | `withWmStatusNSizeIs(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### wmReportTaskIdNSizeIs

          protected int wmReportTaskIdNSizeIs

      Number of elements in the wmReportTaskId array

    - #### wmReportTaskId

          protected java.util.List<java.lang.Integer> wmReportTaskId

      An array of `CfgReportTask` identifiers to filter by.

    - #### wmReportTypeNSizeIs

          protected int wmReportTypeNSizeIs

      Number of elements in the wmReportType array

    - #### wmReportType

          protected java.util.List<java.lang.Integer> wmReportType

      Defines report type 'OR' logic filter

    - #### wmStatusNSizeIs

          protected int wmStatusNSizeIs

      Number of elements in the wmStatus array

    - #### wmStatus

          protected java.util.List<java.lang.Integer> wmStatus

      Defines `ECfgReportTaskStatus` 'OR' logic filter

    - #### allUsers

          protected boolean allUsers

      Specifies whether return all report tasks no matter what user created them or only reports created by current user.

  - ### Constructor Detail

    - #### CfgReportTaskFilter

          public CfgReportTaskFilter()

  - ### Method Detail

    - #### getWmReportTaskIdNSizeIs

          public int getWmReportTaskIdNSizeIs()

      Gets the value of the wmReportTaskIdNSizeIs property.

    - #### setWmReportTaskIdNSizeIs

          public void setWmReportTaskIdNSizeIs(int value)

      Sets the value of the wmReportTaskIdNSizeIs property.

    - #### getWmReportTaskId

          public java.util.List<java.lang.Integer> getWmReportTaskId()

      Gets the value of the wmReportTaskId property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the wmReportTaskId property.

      For example, to add a new item, do as follows:

              getWmReportTaskId().add(newItem);

      Objects of the following type(s) are allowed in the list `Integer`

    - #### getWmReportTypeNSizeIs

          public int getWmReportTypeNSizeIs()

      Gets the value of the wmReportTypeNSizeIs property.

    - #### setWmReportTypeNSizeIs

          public void setWmReportTypeNSizeIs(int value)

      Sets the value of the wmReportTypeNSizeIs property.

    - #### getWmReportType

          public java.util.List<java.lang.Integer> getWmReportType()

      Gets the value of the wmReportType property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the wmReportType property.

      For example, to add a new item, do as follows:

              getWmReportType().add(newItem);

      Objects of the following type(s) are allowed in the list `Integer`

    - #### getWmStatusNSizeIs

          public int getWmStatusNSizeIs()

      Gets the value of the wmStatusNSizeIs property.

    - #### setWmStatusNSizeIs

          public void setWmStatusNSizeIs(int value)

      Sets the value of the wmStatusNSizeIs property.

    - #### getWmStatus

          public java.util.List<java.lang.Integer> getWmStatus()

      Gets the value of the wmStatus property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the wmStatus property.

      For example, to add a new item, do as follows:

              getWmStatus().add(newItem);

      Objects of the following type(s) are allowed in the list `Integer`

    - #### isAllUsers

          public boolean isAllUsers()

      Gets the value of the allUsers property.

    - #### setAllUsers

          public void setAllUsers(boolean value)

      Sets the value of the allUsers property.

    - #### withWmReportTaskIdNSizeIs

          public CfgReportTaskFilter withWmReportTaskIdNSizeIs(int value)

    - #### withWmReportTaskId

          public CfgReportTaskFilter withWmReportTaskId(java.lang.Integer... values)

    - #### withWmReportTaskId

          public CfgReportTaskFilter withWmReportTaskId(java.util.Collection<java.lang.Integer> values)

    - #### withWmReportTypeNSizeIs

          public CfgReportTaskFilter withWmReportTypeNSizeIs(int value)

    - #### withWmReportType

          public CfgReportTaskFilter withWmReportType(java.lang.Integer... values)

    - #### withWmReportType

          public CfgReportTaskFilter withWmReportType(java.util.Collection<java.lang.Integer> values)

    - #### withWmStatusNSizeIs

          public CfgReportTaskFilter withWmStatusNSizeIs(int value)

    - #### withWmStatus

          public CfgReportTaskFilter withWmStatus(java.lang.Integer... values)

    - #### withWmStatus

          public CfgReportTaskFilter withWmStatus(java.util.Collection<java.lang.Integer> values)

    - #### withAllUsers

          public CfgReportTaskFilter withAllUsers(boolean value)

    - #### setWmReportTaskId

          public void setWmReportTaskId(java.util.List<java.lang.Integer> wmReportTaskId)

      Sets the value of the wmReportTaskId property.
      Parameters:
        `wmReportTaskId` - allowed object is `Integer`

    - #### setWmReportType

          public void setWmReportType(java.util.List<java.lang.Integer> wmReportType)

      Sets the value of the wmReportType property.
      Parameters:
        `wmReportType` - allowed object is `Integer`

    - #### setWmStatus

          public void setWmStatus(java.util.List<java.lang.Integer> wmStatus)

      Sets the value of the wmStatus property.
      Parameters:
        `wmStatus` - allowed object is `Integer`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.